{% extends "transport/app/base.html" %}

{% block title %}Accueil{% endblock %}

{% block extrameta %}
    <meta http-equiv="refresh" content="600">
{% endblock %}

{% block breadcrumb %}{% endblock %}

{% block content %}
<h1 class="text-center">Transports Croix-Rouge<span class="noprint"><br>Portail bénévoles</span></h1>

<ul id="appTabs" class="nav nav-tabs noprint" role="tablist">
    <li class="nav-item">
        <a class="nav-link{% if actif == 'transports' %} active{% endif %}" href="" data-bs-toggle="tab" data-bs-target="#transports" role="tab">
            Transports{% if futurs %} <span class="badge text-bg-primary">{{ futurs|length }}</span>{% endif %}
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="" data-bs-toggle="tab" data-bs-target="#arapporter" role="tab">
            Rapports <span class="badge text-bg-{% if arapporter %}danger{% else %}secondary{% endif %}">{{ arapporter|length }}</span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link{% if actif == 'dispos' %} active{% endif %}" href="{% url 'benevole-self-dispos' %}"
           data-bs-toggle="tab" data-bs-target="#dispos" role="tab">
            Dispos
        </a>
    </li>
</ul>

<div class="tab-content">
    <div id="transports" class="tab-pane fade{% if actif == 'transports' %} show active{% endif %}">
    {% for transp in futurs %}
        {% include 'transport/app/transport-card.html' %}
    {% empty %}
    <p class="fst-italic">Aucun transport planifié pour le moment.</p>
    {% endfor %}
    </div>

    <div id="arapporter" class="tab-pane fade">
        {% for transp in arapporter %}
        {% if forloop.first %}<div class="list-group mt-3">{% endif %}
            <a href="{% url 'benevole-rapport' transp.pk %}" class="list-group-item list-group-item-action">
                Transport pour {{ transp.client }} le {{ transp.heure_depart|date:'l d.m.Y - H:i' }}
            </a>
        {% if forloop.last %}</div>{% endif %}
        {% empty %}
            <p class="fst-italic">Aucun transport à rapporter pour le moment</p>
        {% endfor %}
    </div>

    <div id="dispos" class="tab-pane fade{% if actif == 'dispos' %} show active{% endif %}">
    </div>
</div>

<!--h2 class="mt-4"><a href="">Archives</a></h2-->
{% endblock %}
